# Class DocletUtil

java.lang.Object
uk.ac.starlink.ttools.build.DocletUtil

public class DocletUtil extends Object
Utility class containing API-independent helper functions for writing doclets.

Since:
  25 Jan 2023
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`static String`
`getScalarTypeName(String className)`
Returns a user-friendly type name for certain class names.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getScalarTypeName

public static String getScalarTypeName(String className)
Returns a user-friendly type name for certain class names. It works for most primitive types, wrapper types, and String.

Parameters:
  `fully` - qualified class name
Returns:
  user-friendly type name, or null